import type { ExtractPublicPropTypes } from '../_util/interface';
export type AsidePlacement = 'left' | 'right' | '';
export declare const layoutAsideProps: {
    readonly collapsed: {
        readonly type: BooleanConstructor;
    };
    readonly collapsible: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly collapsedWidth: {
        readonly type: StringConstructor;
        readonly default: "48px";
    };
    readonly width: {
        readonly type: StringConstructor;
        readonly default: "200px";
    };
    readonly fixed: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly inverted: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly bordered: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly showTrigger: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
};
export type LayoutAsideProps = ExtractPublicPropTypes<typeof layoutAsideProps>;
declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    readonly collapsed: {
        readonly type: BooleanConstructor;
    };
    readonly collapsible: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly collapsedWidth: {
        readonly type: StringConstructor;
        readonly default: "48px";
    };
    readonly width: {
        readonly type: StringConstructor;
        readonly default: "200px";
    };
    readonly fixed: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly inverted: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly bordered: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly showTrigger: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
}>, {
    prefixCls: string;
    classList: import("vue").ComputedRef<string[]>;
    style: import("vue").ComputedRef<{
        width: string;
    }>;
    handleTrigger: () => void;
    asidePlacement: import("vue").Ref<import("./const").AsidePlacement, import("./const").AsidePlacement>;
    currentCollapsed: import("vue").WritableComputedRef<boolean, boolean>;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "update:collapsed"[], "update:collapsed", import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    readonly collapsed: {
        readonly type: BooleanConstructor;
    };
    readonly collapsible: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly collapsedWidth: {
        readonly type: StringConstructor;
        readonly default: "48px";
    };
    readonly width: {
        readonly type: StringConstructor;
        readonly default: "200px";
    };
    readonly fixed: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly inverted: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly bordered: {
        readonly type: BooleanConstructor;
        readonly default: false;
    };
    readonly showTrigger: {
        readonly type: BooleanConstructor;
        readonly default: true;
    };
}>> & Readonly<{
    "onUpdate:collapsed"?: (...args: any[]) => any;
}>, {
    readonly bordered: boolean;
    readonly fixed: boolean;
    readonly width: string;
    readonly inverted: boolean;
    readonly collapsed: boolean;
    readonly collapsible: boolean;
    readonly collapsedWidth: string;
    readonly showTrigger: boolean;
}, {}, {
    FScrollbar: {
        new (...args: any[]): import("vue").CreateComponentPublicInstanceWithMixins<Readonly<import("vue").ExtractPropTypes<{
            readonly shadow: {
                type: import("vue").PropType<import("../scrollbar/const").ShadowType>;
                default: boolean;
            };
            readonly height: {
                type: import("vue").PropType<string | number>;
            };
            readonly maxHeight: {
                type: import("vue").PropType<string | number>;
            };
            readonly native: {
                type: BooleanConstructor;
                default: boolean;
            };
            readonly always: {
                type: BooleanConstructor;
                default: boolean;
            };
            readonly minSize: {
                type: NumberConstructor;
                default: number;
            };
            readonly horizontalRatioStyle: {
                type: import("vue").PropType<import("vue").StyleValue>;
            };
            readonly verticalRatioStyle: {
                type: import("vue").PropType<import("vue").StyleValue>;
            };
            readonly shadowStyle: {
                type: import("vue").PropType<import("vue").StyleValue>;
            };
            readonly containerClass: import("vue").PropType<string | object | []>;
            readonly containerStyle: import("vue").PropType<import("vue").StyleValue>;
            readonly contentStyle: import("vue").PropType<import("vue").StyleValue>;
            readonly thumbStyle: import("vue").PropType<import("vue").StyleValue>;
            readonly noresize: BooleanConstructor;
        }>> & Readonly<{
            onScroll?: (...args: any[]) => any;
        }>, {
            scrollbarRef: import("vue").Ref<HTMLElement, HTMLElement>;
            containerRef: import("vue").Ref<HTMLElement, HTMLElement>;
            contentRef: import("vue").Ref<HTMLElement, HTMLElement>;
            style: import("vue").ComputedRef<import("vue").StyleValue[]>;
            prefixCls: string;
            setScrollTop: (val: number, duration: number) => void;
            setScrollLeft: (val: number, duration: number) => void;
            scrollToEnd: (direction: "right" | "bottom", duration: number) => void;
            update: () => void;
            handleScroll: (event: Event) => void;
            thumbMoveX: import("vue").Ref<number, number>;
            thumbMoveY: import("vue").Ref<number, number>;
            ratioX: import("vue").Ref<number, number>;
            ratioY: import("vue").Ref<number, number>;
            sizeHeight: import("vue").Ref<string, string>;
            sizeWidth: import("vue").Ref<string, string>;
            wrapperClassRef: import("vue").ComputedRef<string[]>;
            containerClassRef: import("vue").ComputedRef<(string | object)[]>;
            scrollX: import("vue").Ref<boolean, boolean>;
            scrollXRatio: import("vue").Ref<number, number>;
            scrollY: import("vue").Ref<boolean, boolean>;
            scrollYRatio: import("vue").Ref<number, number>;
            shadowRef: import("vue").ComputedRef<{
                x: boolean;
                y: boolean;
            }>;
        }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "scroll"[], import("vue").PublicProps, {
            readonly shadow: import("../scrollbar/const").ShadowType;
            readonly always: boolean;
            readonly native: boolean;
            readonly minSize: number;
            readonly noresize: boolean;
        }, true, {}, {}, {
            FBar: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
                readonly vertical: BooleanConstructor;
                readonly size: StringConstructor;
                readonly move: NumberConstructor;
                readonly ratio: NumberConstructor;
                readonly always: BooleanConstructor;
                readonly scrollbarRef: import("vue").PropType<HTMLElement[]>;
                readonly containerRef: import("vue").PropType<HTMLElement>;
                readonly thumbStyle: import("vue").PropType<import("vue").StyleValue>;
            }>, {
                prefixCls: string;
                barRef: import("vue").Ref<HTMLElement, HTMLElement>;
                thumbRef: import("vue").Ref<any, any>;
                visible: import("vue").Ref<boolean, boolean>;
                cursorDown: import("vue").Ref<any, any>;
                barMap: import("vue").ComputedRef<{
                    readonly offset: "offsetHeight";
                    readonly scroll: "scrollTop";
                    readonly scrollSize: "scrollHeight";
                    readonly size: "height";
                    readonly key: "vertical";
                    readonly axis: "Y";
                    readonly client: "clientY";
                    readonly direction: "top";
                } | {
                    readonly offset: "offsetWidth";
                    readonly scroll: "scrollLeft";
                    readonly scrollSize: "scrollWidth";
                    readonly size: "width";
                    readonly key: "horizontal";
                    readonly axis: "X";
                    readonly client: "clientX";
                    readonly direction: "left";
                }>;
                thumbStyle: import("vue").ComputedRef<import("vue").StyleValue[]>;
                clickTrackHandler: (e: MouseEvent) => void;
                clickThumbHandler: (e: MouseEvent) => void;
            }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
                readonly vertical: BooleanConstructor;
                readonly size: StringConstructor;
                readonly move: NumberConstructor;
                readonly ratio: NumberConstructor;
                readonly always: BooleanConstructor;
                readonly scrollbarRef: import("vue").PropType<HTMLElement[]>;
                readonly containerRef: import("vue").PropType<HTMLElement>;
                readonly thumbStyle: import("vue").PropType<import("vue").StyleValue>;
            }>> & Readonly<{}>, {
                readonly always: boolean;
                readonly vertical: boolean;
            }, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
        } & import("vue").GlobalComponents, import("vue").GlobalDirectives, string, {}, any, import("vue").ComponentProvideOptions, {
            P: {};
            B: {};
            D: {};
            C: {};
            M: {};
            Defaults: {};
        }, Readonly<import("vue").ExtractPropTypes<{
            readonly shadow: {
                type: import("vue").PropType<import("../scrollbar/const").ShadowType>;
                default: boolean;
            };
            readonly height: {
                type: import("vue").PropType<string | number>;
            };
            readonly maxHeight: {
                type: import("vue").PropType<string | number>;
            };
            readonly native: {
                type: BooleanConstructor;
                default: boolean;
            };
            readonly always: {
                type: BooleanConstructor;
                default: boolean;
            };
            readonly minSize: {
                type: NumberConstructor;
                default: number;
            };
            readonly horizontalRatioStyle: {
                type: import("vue").PropType<import("vue").StyleValue>;
            };
            readonly verticalRatioStyle: {
                type: import("vue").PropType<import("vue").StyleValue>;
            };
            readonly shadowStyle: {
                type: import("vue").PropType<import("vue").StyleValue>;
            };
            readonly containerClass: import("vue").PropType<string | object | []>;
            readonly containerStyle: import("vue").PropType<import("vue").StyleValue>;
            readonly contentStyle: import("vue").PropType<import("vue").StyleValue>;
            readonly thumbStyle: import("vue").PropType<import("vue").StyleValue>;
            readonly noresize: BooleanConstructor;
        }>> & Readonly<{
            onScroll?: (...args: any[]) => any;
        }>, {
            scrollbarRef: import("vue").Ref<HTMLElement, HTMLElement>;
            containerRef: import("vue").Ref<HTMLElement, HTMLElement>;
            contentRef: import("vue").Ref<HTMLElement, HTMLElement>;
            style: import("vue").ComputedRef<import("vue").StyleValue[]>;
            prefixCls: string;
            setScrollTop: (val: number, duration: number) => void;
            setScrollLeft: (val: number, duration: number) => void;
            scrollToEnd: (direction: "right" | "bottom", duration: number) => void;
            update: () => void;
            handleScroll: (event: Event) => void;
            thumbMoveX: import("vue").Ref<number, number>;
            thumbMoveY: import("vue").Ref<number, number>;
            ratioX: import("vue").Ref<number, number>;
            ratioY: import("vue").Ref<number, number>;
            sizeHeight: import("vue").Ref<string, string>;
            sizeWidth: import("vue").Ref<string, string>;
            wrapperClassRef: import("vue").ComputedRef<string[]>;
            containerClassRef: import("vue").ComputedRef<(string | object)[]>;
            scrollX: import("vue").Ref<boolean, boolean>;
            scrollXRatio: import("vue").Ref<number, number>;
            scrollY: import("vue").Ref<boolean, boolean>;
            scrollYRatio: import("vue").Ref<number, number>;
            shadowRef: import("vue").ComputedRef<{
                x: boolean;
                y: boolean;
            }>;
        }, {}, {}, {}, {
            readonly shadow: import("../scrollbar/const").ShadowType;
            readonly always: boolean;
            readonly native: boolean;
            readonly minSize: number;
            readonly noresize: boolean;
        }>;
        __isFragment?: never;
        __isTeleport?: never;
        __isSuspense?: never;
    } & import("vue").ComponentOptionsBase<Readonly<import("vue").ExtractPropTypes<{
        readonly shadow: {
            type: import("vue").PropType<import("../scrollbar/const").ShadowType>;
            default: boolean;
        };
        readonly height: {
            type: import("vue").PropType<string | number>;
        };
        readonly maxHeight: {
            type: import("vue").PropType<string | number>;
        };
        readonly native: {
            type: BooleanConstructor;
            default: boolean;
        };
        readonly always: {
            type: BooleanConstructor;
            default: boolean;
        };
        readonly minSize: {
            type: NumberConstructor;
            default: number;
        };
        readonly horizontalRatioStyle: {
            type: import("vue").PropType<import("vue").StyleValue>;
        };
        readonly verticalRatioStyle: {
            type: import("vue").PropType<import("vue").StyleValue>;
        };
        readonly shadowStyle: {
            type: import("vue").PropType<import("vue").StyleValue>;
        };
        readonly containerClass: import("vue").PropType<string | object | []>;
        readonly containerStyle: import("vue").PropType<import("vue").StyleValue>;
        readonly contentStyle: import("vue").PropType<import("vue").StyleValue>;
        readonly thumbStyle: import("vue").PropType<import("vue").StyleValue>;
        readonly noresize: BooleanConstructor;
    }>> & Readonly<{
        onScroll?: (...args: any[]) => any;
    }>, {
        scrollbarRef: import("vue").Ref<HTMLElement, HTMLElement>;
        containerRef: import("vue").Ref<HTMLElement, HTMLElement>;
        contentRef: import("vue").Ref<HTMLElement, HTMLElement>;
        style: import("vue").ComputedRef<import("vue").StyleValue[]>;
        prefixCls: string;
        setScrollTop: (val: number, duration: number) => void;
        setScrollLeft: (val: number, duration: number) => void;
        scrollToEnd: (direction: "right" | "bottom", duration: number) => void;
        update: () => void;
        handleScroll: (event: Event) => void;
        thumbMoveX: import("vue").Ref<number, number>;
        thumbMoveY: import("vue").Ref<number, number>;
        ratioX: import("vue").Ref<number, number>;
        ratioY: import("vue").Ref<number, number>;
        sizeHeight: import("vue").Ref<string, string>;
        sizeWidth: import("vue").Ref<string, string>;
        wrapperClassRef: import("vue").ComputedRef<string[]>;
        containerClassRef: import("vue").ComputedRef<(string | object)[]>;
        scrollX: import("vue").Ref<boolean, boolean>;
        scrollXRatio: import("vue").Ref<number, number>;
        scrollY: import("vue").Ref<boolean, boolean>;
        scrollYRatio: import("vue").Ref<number, number>;
        shadowRef: import("vue").ComputedRef<{
            x: boolean;
            y: boolean;
        }>;
    }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "scroll"[], "scroll", {
        readonly shadow: import("../scrollbar/const").ShadowType;
        readonly always: boolean;
        readonly native: boolean;
        readonly minSize: number;
        readonly noresize: boolean;
    }, {}, string, {}, {
        FBar: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
            readonly vertical: BooleanConstructor;
            readonly size: StringConstructor;
            readonly move: NumberConstructor;
            readonly ratio: NumberConstructor;
            readonly always: BooleanConstructor;
            readonly scrollbarRef: import("vue").PropType<HTMLElement[]>;
            readonly containerRef: import("vue").PropType<HTMLElement>;
            readonly thumbStyle: import("vue").PropType<import("vue").StyleValue>;
        }>, {
            prefixCls: string;
            barRef: import("vue").Ref<HTMLElement, HTMLElement>;
            thumbRef: import("vue").Ref<any, any>;
            visible: import("vue").Ref<boolean, boolean>;
            cursorDown: import("vue").Ref<any, any>;
            barMap: import("vue").ComputedRef<{
                readonly offset: "offsetHeight";
                readonly scroll: "scrollTop";
                readonly scrollSize: "scrollHeight";
                readonly size: "height";
                readonly key: "vertical";
                readonly axis: "Y";
                readonly client: "clientY";
                readonly direction: "top";
            } | {
                readonly offset: "offsetWidth";
                readonly scroll: "scrollLeft";
                readonly scrollSize: "scrollWidth";
                readonly size: "width";
                readonly key: "horizontal";
                readonly axis: "X";
                readonly client: "clientX";
                readonly direction: "left";
            }>;
            thumbStyle: import("vue").ComputedRef<import("vue").StyleValue[]>;
            clickTrackHandler: (e: MouseEvent) => void;
            clickThumbHandler: (e: MouseEvent) => void;
        }, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
            readonly vertical: BooleanConstructor;
            readonly size: StringConstructor;
            readonly move: NumberConstructor;
            readonly ratio: NumberConstructor;
            readonly always: BooleanConstructor;
            readonly scrollbarRef: import("vue").PropType<HTMLElement[]>;
            readonly containerRef: import("vue").PropType<HTMLElement>;
            readonly thumbStyle: import("vue").PropType<import("vue").StyleValue>;
        }>> & Readonly<{}>, {
            readonly always: boolean;
            readonly vertical: boolean;
        }, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
    } & import("vue").GlobalComponents, import("vue").GlobalDirectives, string, import("vue").ComponentProvideOptions> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & import("vue").Plugin<any[]>;
    LeftOutlined: (props?: import("../icon/IconWrapper").IconProps) => import("vue/jsx-runtime").JSX.Element;
    RightOutlined: (props?: import("../icon/IconWrapper").IconProps) => import("vue/jsx-runtime").JSX.Element;
}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export default _default;
